cURL
curl --request POST \ --url https://api.simli.ai/static/audio \ --header 'Content-Type: application/json' \ --header 'x-simli-api-key: <api-key>' \ --data ' { "faceId": "<string>", "audioBase64": "<string>", "audioFormat": "pcm16", "audioSampleRate": 16000, "audioChannelCount": 1, "videoStartingFrame": 0 } '
{ "hls_url": "https://api.simli.ai/hls/path-to-file/output.m3u8", "mp4_url": "https://api.simli.ai/mp4/path-to-file/output.mp4" }
Generate and stream a static video file from a given audio sample
Documentation IndexFetch the complete documentation index at: https://docs.simli.com/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.simli.com/llms.txt
Use this file to discover all available pages before exploring further.
pcm16
pcm32
wav
mp3
ogg
Successful Response
"https://api.simli.ai/hls/path-to-file/output.m3u8"
"https://api.simli.ai/mp4/path-to-file/output.mp4"